Bug 591304 - [abrt] crash in gpodder-2.1-3.fc12: addpodcast.py:69:on_entry_url_changed:AttributeError: 'gPodderAddPodcast' object has no attribute 'btn_add'
[abrt] crash in gpodder-2.1-3.fc12: addpodcast.py:69:on_entry_url_changed:Att...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpodder (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:ff0c54f1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 16:25 EDT by marty
Modified: 2010-12-03 10:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:48:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (582 bytes, text/plain)
2010-05-11 16:25 EDT, marty
no flags Details

  None (edit)
Description marty 2010-05-11 16:25:43 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gpodder
component: gpodder
executable: /usr/bin/gpodder
kernel: 2.6.32.11-99.fc12.x86_64
package: gpodder-2.1-3.fc12
reason: addpodcast.py:69:on_entry_url_changed:AttributeError: 'gPodderAddPodcast' object has no attribute 'btn_add'
release: Fedora release 12 (Constantine)

backtrace
-----
addpodcast.py:69:on_entry_url_changed:AttributeError: 'gPodderAddPodcast' object has no attribute 'btn_add'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gpodder/gtkui/interface/addpodcast.py", line 69, in on_entry_url_changed
    self.btn_add.set_sensitive(self.entry_url.get_text().strip() != '')
AttributeError: 'gPodderAddPodcast' object has no attribute 'btn_add'

Local variables in innermost frame:
widget: <gtk.Entry object at 0x27e39b0 (GtkEntry at 0x2cfd280)>
self: <gpodder.gtkui.interface.addpodcast.gPodderAddPodcast object at 0x2e91e90>

How to reproduce
-----
1. started up, canceled download of updated streams
2. added http://static.orf.at/podcast/wien/rw_trost_und_rat.xml as url
Comment 1 marty 2010-05-11 16:25:45 EDT
Created attachment 413251 [details]
File: backtrace
Comment 2 Ville-Pekka Vainio 2010-05-13 14:22:37 EDT
Reported upstream: https://bugs.gpodder.org/show_bug.cgi?id=1021
Comment 3 Bug Zapper 2010-11-03 11:04:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:48:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ville-Pekka Vainio 2010-12-03 10:02:49 EST
Let's track this issue in https://bugzilla.redhat.com/show_bug.cgi?id=650647 and in the upstream bugzilla.

Note You need to log in before you can comment on or make changes to this bug.